#!/bin/sh
cat <<EOF
.TH syncwall 1 "February 10, 2013" "version $1" "USER COMMANDS"
.SH NAME
syncwall - Wallpaper management with synchronization features
.SH SYNOPSIS
.B syncwall [options]
.I option option
.B ["
.I --help --reset-config --no-singleinstance
.B ..."] 
.SH DESCRIPTION
SyncWall is quite a basic wallpaper changer with a special feature, 
it is the ability to synchronize wallpaper change between 
several workstations with a basic (and unsecured) client/server protocol. 
Each workstation must share the same pool of files, 
there is no FTP or Internet download. Because SyncWall is written with Qt, 
it runs on Windows and Linux (MacOSX isn't tested yet).
.SH OPTIONS
SyncWall have some options of its own. As a Qt application it supports Qt
options; please see:
http://doc.trolltech.com/4.2/qapplication.html#QApplication
.TP 5
--help
displays this help
.TP
--reset-config
clear the saved preference parameters
.TP
--no-singleinstance
enable the use of multiple instance of program (not recommended).
.SH AUTHOR
xbee (xbee (at) xbee.net)
EOF