
/******************************************************************************
   SyncWall: Wallpaper manager
   Copyright(C) 2011-2013  xbee@xbee.net

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *******************************************************************************/

#include <QtCore/QDebug>

#include "NetworkMessage.h"

QByteArray NetworkMessage::toByteArray() const
{
    QByteArray ba;
    QDataStream ds(&ba,QIODevice::WriteOnly);
    ds.setVersion(QDataStream::Qt_4_4);
    ds << options;
    ds << image;
    return ba;
}

void NetworkMessage::fromByteArray(const QByteArray &ba)
{
    QDataStream in(ba);
    in.setVersion(QDataStream::Qt_4_4);
    in >> options;
    in >> image;
}
