
/******************************************************************************
   SyncWall: Wallpaper manager
   Copyright(C) 2011-2013  xbee@xbee.net

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *******************************************************************************/

#ifndef _NETWORKMESSAGE_H_
#define _NETWORKMESSAGE_H_

#include <QtCore/QString>
#include <QtCore/QDataStream>
#include <QtCore/QMetaType>
#include <QtCore/QByteArray>
#include <QtGui/QImage>

class NetworkMessage
{
public:

    NetworkMessage(){}
    NetworkMessage(const QByteArray &ba) : data(ba){}

    QByteArray toByteArray() const;
    void fromByteArray(const QByteArray &ba);

    QString options;
    QImage image;

    QByteArray data;
};

Q_DECLARE_METATYPE(NetworkMessage)

#endif // _NETWORKMESSAGE_H_
